<?php
error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);
    
    $resposta1_1 = $_POST['resposta1_1'];
	$resposta2_1 = $_POST['resposta2_1'];
	$resposta2_2 = $_POST['resposta2_2'];
	$resposta2_3 = $_POST['resposta2_3'];
	$resposta2_4 = $_POST['resposta2_4'];
	$resposta2_5 = $_POST['resposta2_5'];
	$resposta2_6 = $_POST['resposta2_6'];
    $resposta3_1_a = $_POST['resposta3_1_a'];
    $resposta3_1_b = $_POST['resposta3_1_b'];
    $resposta3_1_c = $_POST['resposta3_1_c'];
    $resposta3_2_a = $_POST['resposta3_2_a'];
    $resposta3_2_b = $_POST['resposta3_2_b'];
    $resposta3_2_c = $_POST['resposta3_2_c'];
	$resposta4_1 = $_POST['resposta4_1'];
	$resposta4_2 = $_POST['resposta4_2'];
	$resposta4_3 = $_POST['resposta4_3'];
	$resposta4_4 = $_POST['resposta4_4'];
    $resposta5_1 = $_POST['resposta5_1'];
    $resposta6_1 = $_POST['resposta6_1'];
	$comentarios = $_POST['comentarios'];
	$certificadoID = $_POST['certificadoID'];

	require('connect.php');

	$conn = new PDO("mysql:host=$db_host; dbname=$db_name; charset=utf8", $db_user, $db_pass);
	
	$sql = "SELECT course_id, user_idnumber, filedata, emailRetorno, formacao, local, nome, areaFormacao, edicao, tecnico FROM certificado where id = :id";

	$statement = $conn->prepare($sql);
	
	$statement->bindValue(':id', $certificadoID);
	$statement->execute();
	$row = $statement->fetch(PDO::FETCH_ASSOC);

	if($row == false)
	{
		echo '<script>alert("Erro!"); history.go(-1)</script>';
	}
	else
	{	
	    $curso = $row['formacao'];
	    $nome = $row['nome'];
	    $to1 = $row['emailRetorno'];
		
		$subject = 'Envio de F045B - QUESTIONÁRIO DE AVALIAÇÃO DA FORMAÇÃO – EAD | '.$nome;

		$headers = 'From: Instituto CRIAP <no-reply@criap.com>'."\r\n".'Content-Type: text/html; charset=utf-8'."\r\n";
        
		$txt .= 'Curso - ' . $curso . '<br/><br/>';
		$txt .= '1#	De uma forma global, qual o seu grau de satisfação face ao espírito crítico e participação do grupo de formandos?<br/>';
		$txt .= $resposta1_1 . '<br/><br/>';

		$txt .= '2# Autoavalie o seu trabalho enquanto formador nas seguintes dimensões<br/>';
		$txt .= '2.1 Domínio dos assuntos?<br/>';
		$txt .= $resposta2_1 . '<br/><br/>';
    
        $txt .= '2.2 Capacidade de comunicação e estimulação da aprendizagem dos formandos?<br/>';
		$txt .= $resposta2_2 . '<br/><br/>';
		
		$txt .= '2.3 Capacidade de organizar a aula de forma a tornar-se o mais prática possível?<br/>';
		$txt .= $resposta2_3 . '<br/><br/>';
		
		$txt .= '2.4 Disponibilidade para esclarecer dúvidas dentro e fora das aulas?<br/>';
		$txt .= $resposta2_4 . '<br/><br/>';
		
		$txt .= '2.5 Relacionamento com os formandos?<br/>';
		$txt .= $resposta2_5 . '<br/><br/>';
		
		$txt .= '2.6 Adequação e qualidade dos recursos pedagógicos disponibilizados (bibliografia, textos de apoio, slides, etc.)?<br/>';
		$txt .= $resposta2_6 . '<br/><br/>';
		
		$txt .= '3# Avalie a prestação dos agentes envolvidos na gestão da formação, face aos seguintes parâmetros<br/>';
		$txt .= '3.1# Técnico/a de Formação // Joana Pinheiro<br/>';
		$txt .= '3.1.a Relacionamento interpessoal?<br/>';
		$txt .= $resposta3_1_a . '<br/><br/>';
		
		$txt .= '3.1.b Disponibilidade/facilidade de contacto?<br/>';
		$txt .= $resposta3_1_b . '<br/><br/>';
		
		$txt .= '3.1.c Esclarecimento de dúvidas e resolução de problemas?<br/>';
		$txt .= $resposta3_1_c . '<br/><br/>';
		
		$txt .= '3.2# Técnico/a da Sala Virtual<br/>';
		$txt .= '3.2.a Acolhimento e cordialidade?<br/>';
		$txt .= $resposta3_2_a . '<br/><br/>';
		
		$txt .= '3.2.b Sinalização das questões colocadas pelos formandos através do chat?<br/>';
		$txt .= $resposta3_2_b . '<br/><br/>';
		
		$txt .= '3.2.c Esclarecimento de dúvidas e resolução de problemas técnicos?<br/>';
		$txt .= $resposta3_2_c . '<br/><br/>';

		$txt .= '4# Como avalia os seguintes aspetos relativos às plataformas de ensino à distância<br/>';
		$txt .= '4.1 Esclarecimento do uso da plataforma e suas ferramentas?<br/>';
		$txt .= $resposta4_1 . '<br/><br/>';
		
		$txt .= '4.2 Facilidade de utilização?<br/>';
		$txt .= $resposta4_2 . '<br/><br/>';
		
		$txt .= '4.3 Qualidade do áudio das sessões síncronas?<br/>';
		$txt .= $resposta4_3 . '<br/><br/>';
		
		$txt .= '4.4 Qualidade da imagem das sessões síncronas?<br/>';
		$txt .= $resposta4_4 . '<br/><br/>';
		
		$txt .= '5# De uma forma geral, a organização da formação foi<br/>';
		$txt .= $resposta5_1 . '<br/><br/>';
		
		$txt .= '6# Recomendaria a nossa empresa a outro/a formador/a?<br/>';
		$txt .= $resposta6_1 . '<br/><br/>';
		
		$txt .= 'COMENTÁRIOS/SUGESTÕES<br/>';
		$txt .= nl2br($comentarios) . '<br/><br/>';
		
		require 'phpmailer-send/PHPMailer.php';
		require 'phpmailer-send/SMTP.php';

		$mail = new PHPMailer;

		$mail->IsSMTP();
		$mail->Host = 'server.criap.com';
		$mail->SMTPAuth = TRUE;
		$mail->SMTPSecure = 'tls';
		$mail->Username = 'noreply@criap.com';
		$mail->Password = '$IcriapALL$2020$';
		$mail->Port = 587;
		$mail->CharSet = "UTF-8";

		$mail->setFrom('no-reply@criap.com', 'Instituto CRIAP');
		$mail->addAddress($to1);
		$mail->addReplyTo('no-reply@criap.com', 'Instituto CRIAP');
		$mail->isHTML(true);

		$mail->Subject = $subject;
		$mail->Body = $txt;

		$result = $mail->send();
		
		if($result)
		{
			$sqlUpdate = "UPDATE certificado SET inqueritoFill = 1 where id = :id";
			
			$statementUpdate = $conn->prepare($sqlUpdate);
			$statementUpdate->bindValue(':id', $certificadoID);
			$statementUpdate->execute();
		    
		    $sqlUpdate = "INSERT INTO inqueritos_formadores (course_id, user_id, resp_1_1, resp_2_1, resp_2_2, resp_2_3, resp_2_4, resp_2_5, resp_2_6, resp_3_1_a, resp_3_1_b, resp_3_1_c, resp_3_2_a, resp_3_2_b, resp_3_2_c, resp_4_1, resp_4_2, resp_4_3, resp_4_4, resp_5_1, resp_6_1, comentario)
			VALUES (:course_id, :user_id, :resp_1_1, :resp_2_1, :resp_2_2, :resp_2_3, :resp_2_4, :resp_2_5, :resp_2_6, :resp_3_1_a, :resp_3_1_b, :resp_3_1_c, :resp_3_2_a, :resp_3_2_b, :resp_3_2_c, :resp_4_1, :resp_4_2, :resp_4_3, :resp_4_4, :resp_5_1, :resp_6_1, :comentario);";

			$statementUpdate = $conn->prepare($sqlUpdate);
			$statementUpdate->bindValue(':course_id', $row['course_id']);
			$statementUpdate->bindValue(':user_id', $row['user_idnumber']);
			$statementUpdate->bindValue(':resp_1_1', $_POST['resposta1_1']);
			$statementUpdate->bindValue(':resp_2_1', $_POST['resposta2_1']);
			$statementUpdate->bindValue(':resp_2_2', $_POST['resposta2_2']);
			$statementUpdate->bindValue(':resp_2_3', $_POST['resposta2_3']);
			$statementUpdate->bindValue(':resp_2_4', $_POST['resposta2_4']);
			$statementUpdate->bindValue(':resp_2_5', $_POST['resposta2_5']);
			$statementUpdate->bindValue(':resp_2_6', $_POST['resposta2_6']);
			$statementUpdate->bindValue(':resp_3_1_a', $_POST['resposta3_1_a']);
			$statementUpdate->bindValue(':resp_3_1_b', $_POST['resposta3_1_b']);
			$statementUpdate->bindValue(':resp_3_1_c', $_POST['resposta3_1_c']);
			$statementUpdate->bindValue(':resp_3_2_a', $_POST['resposta3_2_a']);
			$statementUpdate->bindValue(':resp_3_2_b', $_POST['resposta3_2_b']);
			$statementUpdate->bindValue(':resp_3_2_c', $_POST['resposta3_2_c']);
			$statementUpdate->bindValue(':resp_4_1', $_POST['resposta4_1']);
			$statementUpdate->bindValue(':resp_4_2', $_POST['resposta4_2']);
			$statementUpdate->bindValue(':resp_4_3', $_POST['resposta4_3']);
			$statementUpdate->bindValue(':resp_4_4', $_POST['resposta4_4']);
			$statementUpdate->bindValue(':resp_5_1', $_POST['resposta5_1']);
			$statementUpdate->bindValue(':resp_6_1', $_POST['resposta6_1']);
			$statementUpdate->bindValue(':comentario', $_POST['comentarios']);
			$statementUpdate->execute();
			
			$email = $row['user_idnumber'];
			$to = $row['user_idnumber'];

    		$subject = 'Envio de Certificado de Formação - EAD '.$curso;
    
    		$headers = 'From: Instituto CRIAP <no-reply@criap.com>'."\r\n".'Content-Type: text/html; charset=utf-8'."\r\n";
            
    		$mail = new PHPMailer;
    
    		$mail->IsSMTP();
    		$mail->Host = 'server.criap.com';
    		$mail->SMTPAuth = TRUE;
    		$mail->SMTPSecure = 'tls';
    		$mail->Username = 'noreply@criap.com';
    		$mail->Password = '$IcriapALL$2020$';
    		$mail->Port = 587;
    		$mail->CharSet = "UTF-8";
    
    		$mail->setFrom('no-reply@criap.com', 'Instituto CRIAP');
    		$mail->addAddress($to);
    		$mail->addReplyTo('no-reply@criap.com', 'Instituto CRIAP');
    		
    		$txt = "Estimado(a) Professor(a),<br/><br/>";
			$txt .= "Recebemos com sucesso o seu feedback relativo ao(à) ". $row['formacao'] . ", pelo que remetemos em anexo o seu Certificado de Experiência Formativa.<br/><br/>";
			$txt .= "O nosso propósito é oferecer aos nossos formandos a possibilidade de partilhar conhecimentos e experiências, com enfoque para a sua satisfação e desenvolvimento profissional e humano.<br/>";
			$txt .= "Neste sentido, agradecemos a sua valiosa participação.<br/><br/>";
			$txt .= "Encontramo-nos disponíveis para qualquer esclarecimento que seja necessário.<br/><br/>";
			$txt .= "Cordiais Cumprimentos,<br/>Drª. Adélia Magalhães<br/>Direção Pedagógica";
			
    		$data = $row['filedata'];
    		$data = chunk_split(base64_encode($data));
    		
    		$filename="Certificado.pdf";
			$encoding = "base64";
			$type = "aplication/pdf";
			$mail->AddStringAttachment(base64_decode($data), $filename, $encoding, $type);
			
    		$mail->isHTML(true);
    
    		$mail->Subject = $subject;
    		$mail->Body = $txt;
        
            error_log("email12=".$email."\n", 3, "error_log");
        
    		$result = $mail->send();
		}
	}
?>